# Box Tools for Llama-Index

This repository provides a suite of Python tools for seamlessly integrating Box content with Llama Index. These tools offer an agnostic interface, allowing them to be used within any agent built within the Llama Index framework.

## Available tools include:

- **[Box Search](https://github.com/run-llama/llama_index/blob/main/llama-index-integrations/tools/llama-index-tools-box/examples/box_search.ipynb)**: Search for Box resources based on keywords and various filtering options.
- **[Search by Metadata](https://github.com/run-llama/llama_index/blob/main/llama-index-integrations/tools/llama-index-tools-box/examples/box_search_by_metadata.ipynb)**: Search for Box resources based on specific metadata fields (e.g., owner, creation date).
- **[Text Extraction](https://github.com/run-llama/llama_index/blob/main/llama-index-integrations/tools/llama-index-tools-box/examples/box_extract.ipynb)**: Extract plain text content from supported Box file formats.
- **[Box AI Prompt](https://github.com/run-llama/llama_index/blob/main/llama-index-integrations/tools/llama-index-tools-box/examples/box_ai_prompt.ipynb)**: Utilize Box AI features to analyze Box content based on user-defined prompts.
- **[Box AI Extract](https://github.com/run-llama/llama_index/blob/main/llama-index-integrations/tools/llama-index-tools-box/examples/box_ai_extract.ipynb)**: Extract structured data from Box content using pre-trained Box AI models.

By leveraging these tools, developers can empower their Llama Index agents to access, understand, and utilize valuable information stored within Box.

Check the links above for detailed usage instructions and examples for each tool.
